import QtQuick
import QtQuick.Layouts

import roulette

Item {
    GridLayout {
        LayoutMirroring.enabled: true
        flow: GridLayout.TopToBottom
        rows: 3
        //rotation: 180

        anchors {
            right: parent.right
            rightMargin: 90
            top: parent.top
            topMargin: 68
        }

        rowSpacing: 0
        columnSpacing: 1.8

        Repeater {
            model: 36

            Item {
                height: 45
                width: 35

                BetButton {
                    index_: index
                    betType: 9
                    height: parent.height
                    width: parent.width
                    offsetX: 110
                    offsetY: 110
                }
            }
        }
    }

    /* 0 */
    Item {
        x: 60
        y: 68
        BetButton {
            index_: 37
            betType: 9
            height: 66
            width: 28
            offsetX: 20
            offsetY: 55
        }
    }

    /* 00 */
    Item {
        x: 60
        y: 136
        BetButton {
            index_: 38
            betType: 9
            height: 66
            width: 28
            offsetX: 20
            offsetY: 55
        }
    }

}
